<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_1be4a86ec54058894c0dc" . "8eeb44bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3B" . "hZ2Vz"), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_bdf46cfa" . "1aba0af38" . "c9a9fa98d" . "fd831b" => base64_decode("YXBwX3B1Ymxp" . "c2g="), "_9f55fef472b741" . "cb222ce4503e900" . "12a" => base64_decode("cHViX3Bh" . "Z2U="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_9f55fef472b741cb22" . "2ce4503e90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_1be4a86ec54058894c0dc8ee" . "b44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_bdf46cfa1aba0af38c9a" . "9fa98dfd831b"];
    }
}